%% Script to compare execution time of MATLAB code to generated MEX code
iter = 1000;

%% Time MATLAB code
elTime = zeros(iter,1);
for i = 1:iter
    tic
    nrt(1e8,12,1e-9);
    t = toc;
    elTime(i) = t;
end
matTime = mean(elTime);
disp(['Mean MATLAB time is: ' num2str(matTime) ' seconds']); 

%% Time MEX Code
elTime = zeros(iter,1);
for i = 1:iter
    tic
    nrt_mex(1e8,12,1e-9);
    t = toc;
    elTime(i) = t;
end
mexTime = mean(elTime);
disp(['Mean MEX time is: ' num2str(mexTime) ' seconds']); 

%% Speed Up Factor
speedUp = matTime/mexTime;
disp(['Speed up factor is: ' num2str(speedUp) 'X']); 
